Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network29.167.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
29.167.128.0
Broadcast address
29.167.255.255
First usable
29.167.128.1
Last usable
29.167.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 1DA78000 · Integer 497516544 to 497549311
Reverse DNS zones
128.167.29.in-addr.arpa
129.167.29.in-addr.arpa
130.167.29.in-addr.arpa
131.167.29.in-addr.arpa
132.167.29.in-addr.arpa
133.167.29.in-addr.arpa
134.167.29.in-addr.arpa
135.167.29.in-addr.arpa
136.167.29.in-addr.arpa
137.167.29.in-addr.arpa
138.167.29.in-addr.arpa
139.167.29.in-addr.arpa
140.167.29.in-addr.arpa
141.167.29.in-addr.arpa
142.167.29.in-addr.arpa
143.167.29.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011101.10100111.10000000.0000000029.167.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00011101.10100111.10000000.0000000029.167.128.0
Broadcast00011101.10100111.11111111.1111111129.167.255.255
Split into smaller subnets/25

29.167.128.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
129.167.128.0/2529.167.128.1 to 29.167.128.12629.167.128.127126
229.167.128.128/2529.167.128.129 to 29.167.128.25429.167.128.255126
329.167.129.0/2529.167.129.1 to 29.167.129.12629.167.129.127126
429.167.129.128/2529.167.129.129 to 29.167.129.25429.167.129.255126
529.167.130.0/2529.167.130.1 to 29.167.130.12629.167.130.127126
629.167.130.128/2529.167.130.129 to 29.167.130.25429.167.130.255126
729.167.131.0/2529.167.131.1 to 29.167.131.12629.167.131.127126
829.167.131.128/2529.167.131.129 to 29.167.131.25429.167.131.255126
929.167.132.0/2529.167.132.1 to 29.167.132.12629.167.132.127126
1029.167.132.128/2529.167.132.129 to 29.167.132.25429.167.132.255126
1129.167.133.0/2529.167.133.1 to 29.167.133.12629.167.133.127126
1229.167.133.128/2529.167.133.129 to 29.167.133.25429.167.133.255126
1329.167.134.0/2529.167.134.1 to 29.167.134.12629.167.134.127126
1429.167.134.128/2529.167.134.129 to 29.167.134.25429.167.134.255126
1529.167.135.0/2529.167.135.1 to 29.167.135.12629.167.135.127126
1629.167.135.128/2529.167.135.129 to 29.167.135.25429.167.135.255126
1729.167.136.0/2529.167.136.1 to 29.167.136.12629.167.136.127126
1829.167.136.128/2529.167.136.129 to 29.167.136.25429.167.136.255126
1929.167.137.0/2529.167.137.1 to 29.167.137.12629.167.137.127126
2029.167.137.128/2529.167.137.129 to 29.167.137.25429.167.137.255126
2129.167.138.0/2529.167.138.1 to 29.167.138.12629.167.138.127126
2229.167.138.128/2529.167.138.129 to 29.167.138.25429.167.138.255126
2329.167.139.0/2529.167.139.1 to 29.167.139.12629.167.139.127126
2429.167.139.128/2529.167.139.129 to 29.167.139.25429.167.139.255126
2529.167.140.0/2529.167.140.1 to 29.167.140.12629.167.140.127126
2629.167.140.128/2529.167.140.129 to 29.167.140.25429.167.140.255126
2729.167.141.0/2529.167.141.1 to 29.167.141.12629.167.141.127126
2829.167.141.128/2529.167.141.129 to 29.167.141.25429.167.141.255126
2929.167.142.0/2529.167.142.1 to 29.167.142.12629.167.142.127126
3029.167.142.128/2529.167.142.129 to 29.167.142.25429.167.142.255126
3129.167.143.0/2529.167.143.1 to 29.167.143.12629.167.143.127126
3229.167.143.128/2529.167.143.129 to 29.167.143.25429.167.143.255126
3329.167.144.0/2529.167.144.1 to 29.167.144.12629.167.144.127126
3429.167.144.128/2529.167.144.129 to 29.167.144.25429.167.144.255126
3529.167.145.0/2529.167.145.1 to 29.167.145.12629.167.145.127126
3629.167.145.128/2529.167.145.129 to 29.167.145.25429.167.145.255126
3729.167.146.0/2529.167.146.1 to 29.167.146.12629.167.146.127126
3829.167.146.128/2529.167.146.129 to 29.167.146.25429.167.146.255126
3929.167.147.0/2529.167.147.1 to 29.167.147.12629.167.147.127126
4029.167.147.128/2529.167.147.129 to 29.167.147.25429.167.147.255126
4129.167.148.0/2529.167.148.1 to 29.167.148.12629.167.148.127126
4229.167.148.128/2529.167.148.129 to 29.167.148.25429.167.148.255126
4329.167.149.0/2529.167.149.1 to 29.167.149.12629.167.149.127126
4429.167.149.128/2529.167.149.129 to 29.167.149.25429.167.149.255126
4529.167.150.0/2529.167.150.1 to 29.167.150.12629.167.150.127126
4629.167.150.128/2529.167.150.129 to 29.167.150.25429.167.150.255126
4729.167.151.0/2529.167.151.1 to 29.167.151.12629.167.151.127126
4829.167.151.128/2529.167.151.129 to 29.167.151.25429.167.151.255126
4929.167.152.0/2529.167.152.1 to 29.167.152.12629.167.152.127126
5029.167.152.128/2529.167.152.129 to 29.167.152.25429.167.152.255126
5129.167.153.0/2529.167.153.1 to 29.167.153.12629.167.153.127126
5229.167.153.128/2529.167.153.129 to 29.167.153.25429.167.153.255126
5329.167.154.0/2529.167.154.1 to 29.167.154.12629.167.154.127126
5429.167.154.128/2529.167.154.129 to 29.167.154.25429.167.154.255126
5529.167.155.0/2529.167.155.1 to 29.167.155.12629.167.155.127126
5629.167.155.128/2529.167.155.129 to 29.167.155.25429.167.155.255126
5729.167.156.0/2529.167.156.1 to 29.167.156.12629.167.156.127126
5829.167.156.128/2529.167.156.129 to 29.167.156.25429.167.156.255126
5929.167.157.0/2529.167.157.1 to 29.167.157.12629.167.157.127126
6029.167.157.128/2529.167.157.129 to 29.167.157.25429.167.157.255126
6129.167.158.0/2529.167.158.1 to 29.167.158.12629.167.158.127126
6229.167.158.128/2529.167.158.129 to 29.167.158.25429.167.158.255126
6329.167.159.0/2529.167.159.1 to 29.167.159.12629.167.159.127126
6429.167.159.128/2529.167.159.129 to 29.167.159.25429.167.159.255126
6529.167.160.0/2529.167.160.1 to 29.167.160.12629.167.160.127126
6629.167.160.128/2529.167.160.129 to 29.167.160.25429.167.160.255126
6729.167.161.0/2529.167.161.1 to 29.167.161.12629.167.161.127126
6829.167.161.128/2529.167.161.129 to 29.167.161.25429.167.161.255126
6929.167.162.0/2529.167.162.1 to 29.167.162.12629.167.162.127126
7029.167.162.128/2529.167.162.129 to 29.167.162.25429.167.162.255126
7129.167.163.0/2529.167.163.1 to 29.167.163.12629.167.163.127126
7229.167.163.128/2529.167.163.129 to 29.167.163.25429.167.163.255126
7329.167.164.0/2529.167.164.1 to 29.167.164.12629.167.164.127126
7429.167.164.128/2529.167.164.129 to 29.167.164.25429.167.164.255126
7529.167.165.0/2529.167.165.1 to 29.167.165.12629.167.165.127126
7629.167.165.128/2529.167.165.129 to 29.167.165.25429.167.165.255126
7729.167.166.0/2529.167.166.1 to 29.167.166.12629.167.166.127126
7829.167.166.128/2529.167.166.129 to 29.167.166.25429.167.166.255126
7929.167.167.0/2529.167.167.1 to 29.167.167.12629.167.167.127126
8029.167.167.128/2529.167.167.129 to 29.167.167.25429.167.167.255126
8129.167.168.0/2529.167.168.1 to 29.167.168.12629.167.168.127126
8229.167.168.128/2529.167.168.129 to 29.167.168.25429.167.168.255126
8329.167.169.0/2529.167.169.1 to 29.167.169.12629.167.169.127126
8429.167.169.128/2529.167.169.129 to 29.167.169.25429.167.169.255126
8529.167.170.0/2529.167.170.1 to 29.167.170.12629.167.170.127126
8629.167.170.128/2529.167.170.129 to 29.167.170.25429.167.170.255126
8729.167.171.0/2529.167.171.1 to 29.167.171.12629.167.171.127126
8829.167.171.128/2529.167.171.129 to 29.167.171.25429.167.171.255126
8929.167.172.0/2529.167.172.1 to 29.167.172.12629.167.172.127126
9029.167.172.128/2529.167.172.129 to 29.167.172.25429.167.172.255126
9129.167.173.0/2529.167.173.1 to 29.167.173.12629.167.173.127126
9229.167.173.128/2529.167.173.129 to 29.167.173.25429.167.173.255126
9329.167.174.0/2529.167.174.1 to 29.167.174.12629.167.174.127126
9429.167.174.128/2529.167.174.129 to 29.167.174.25429.167.174.255126
9529.167.175.0/2529.167.175.1 to 29.167.175.12629.167.175.127126
9629.167.175.128/2529.167.175.129 to 29.167.175.25429.167.175.255126
9729.167.176.0/2529.167.176.1 to 29.167.176.12629.167.176.127126
9829.167.176.128/2529.167.176.129 to 29.167.176.25429.167.176.255126
9929.167.177.0/2529.167.177.1 to 29.167.177.12629.167.177.127126
10029.167.177.128/2529.167.177.129 to 29.167.177.25429.167.177.255126
10129.167.178.0/2529.167.178.1 to 29.167.178.12629.167.178.127126
10229.167.178.128/2529.167.178.129 to 29.167.178.25429.167.178.255126
10329.167.179.0/2529.167.179.1 to 29.167.179.12629.167.179.127126
10429.167.179.128/2529.167.179.129 to 29.167.179.25429.167.179.255126
10529.167.180.0/2529.167.180.1 to 29.167.180.12629.167.180.127126
10629.167.180.128/2529.167.180.129 to 29.167.180.25429.167.180.255126
10729.167.181.0/2529.167.181.1 to 29.167.181.12629.167.181.127126
10829.167.181.128/2529.167.181.129 to 29.167.181.25429.167.181.255126
10929.167.182.0/2529.167.182.1 to 29.167.182.12629.167.182.127126
11029.167.182.128/2529.167.182.129 to 29.167.182.25429.167.182.255126
11129.167.183.0/2529.167.183.1 to 29.167.183.12629.167.183.127126
11229.167.183.128/2529.167.183.129 to 29.167.183.25429.167.183.255126
11329.167.184.0/2529.167.184.1 to 29.167.184.12629.167.184.127126
11429.167.184.128/2529.167.184.129 to 29.167.184.25429.167.184.255126
11529.167.185.0/2529.167.185.1 to 29.167.185.12629.167.185.127126
11629.167.185.128/2529.167.185.129 to 29.167.185.25429.167.185.255126
11729.167.186.0/2529.167.186.1 to 29.167.186.12629.167.186.127126
11829.167.186.128/2529.167.186.129 to 29.167.186.25429.167.186.255126
11929.167.187.0/2529.167.187.1 to 29.167.187.12629.167.187.127126
12029.167.187.128/2529.167.187.129 to 29.167.187.25429.167.187.255126
12129.167.188.0/2529.167.188.1 to 29.167.188.12629.167.188.127126
12229.167.188.128/2529.167.188.129 to 29.167.188.25429.167.188.255126
12329.167.189.0/2529.167.189.1 to 29.167.189.12629.167.189.127126
12429.167.189.128/2529.167.189.129 to 29.167.189.25429.167.189.255126
12529.167.190.0/2529.167.190.1 to 29.167.190.12629.167.190.127126
12629.167.190.128/2529.167.190.129 to 29.167.190.25429.167.190.255126
12729.167.191.0/2529.167.191.1 to 29.167.191.12629.167.191.127126
12829.167.191.128/2529.167.191.129 to 29.167.191.25429.167.191.255126
12929.167.192.0/2529.167.192.1 to 29.167.192.12629.167.192.127126
13029.167.192.128/2529.167.192.129 to 29.167.192.25429.167.192.255126
13129.167.193.0/2529.167.193.1 to 29.167.193.12629.167.193.127126
13229.167.193.128/2529.167.193.129 to 29.167.193.25429.167.193.255126
13329.167.194.0/2529.167.194.1 to 29.167.194.12629.167.194.127126
13429.167.194.128/2529.167.194.129 to 29.167.194.25429.167.194.255126
13529.167.195.0/2529.167.195.1 to 29.167.195.12629.167.195.127126
13629.167.195.128/2529.167.195.129 to 29.167.195.25429.167.195.255126
13729.167.196.0/2529.167.196.1 to 29.167.196.12629.167.196.127126
13829.167.196.128/2529.167.196.129 to 29.167.196.25429.167.196.255126
13929.167.197.0/2529.167.197.1 to 29.167.197.12629.167.197.127126
14029.167.197.128/2529.167.197.129 to 29.167.197.25429.167.197.255126
14129.167.198.0/2529.167.198.1 to 29.167.198.12629.167.198.127126
14229.167.198.128/2529.167.198.129 to 29.167.198.25429.167.198.255126
14329.167.199.0/2529.167.199.1 to 29.167.199.12629.167.199.127126
14429.167.199.128/2529.167.199.129 to 29.167.199.25429.167.199.255126
14529.167.200.0/2529.167.200.1 to 29.167.200.12629.167.200.127126
14629.167.200.128/2529.167.200.129 to 29.167.200.25429.167.200.255126
14729.167.201.0/2529.167.201.1 to 29.167.201.12629.167.201.127126
14829.167.201.128/2529.167.201.129 to 29.167.201.25429.167.201.255126
14929.167.202.0/2529.167.202.1 to 29.167.202.12629.167.202.127126
15029.167.202.128/2529.167.202.129 to 29.167.202.25429.167.202.255126
15129.167.203.0/2529.167.203.1 to 29.167.203.12629.167.203.127126
15229.167.203.128/2529.167.203.129 to 29.167.203.25429.167.203.255126
15329.167.204.0/2529.167.204.1 to 29.167.204.12629.167.204.127126
15429.167.204.128/2529.167.204.129 to 29.167.204.25429.167.204.255126
15529.167.205.0/2529.167.205.1 to 29.167.205.12629.167.205.127126
15629.167.205.128/2529.167.205.129 to 29.167.205.25429.167.205.255126
15729.167.206.0/2529.167.206.1 to 29.167.206.12629.167.206.127126
15829.167.206.128/2529.167.206.129 to 29.167.206.25429.167.206.255126
15929.167.207.0/2529.167.207.1 to 29.167.207.12629.167.207.127126
16029.167.207.128/2529.167.207.129 to 29.167.207.25429.167.207.255126
16129.167.208.0/2529.167.208.1 to 29.167.208.12629.167.208.127126
16229.167.208.128/2529.167.208.129 to 29.167.208.25429.167.208.255126
16329.167.209.0/2529.167.209.1 to 29.167.209.12629.167.209.127126
16429.167.209.128/2529.167.209.129 to 29.167.209.25429.167.209.255126
16529.167.210.0/2529.167.210.1 to 29.167.210.12629.167.210.127126
16629.167.210.128/2529.167.210.129 to 29.167.210.25429.167.210.255126
16729.167.211.0/2529.167.211.1 to 29.167.211.12629.167.211.127126
16829.167.211.128/2529.167.211.129 to 29.167.211.25429.167.211.255126
16929.167.212.0/2529.167.212.1 to 29.167.212.12629.167.212.127126
17029.167.212.128/2529.167.212.129 to 29.167.212.25429.167.212.255126
17129.167.213.0/2529.167.213.1 to 29.167.213.12629.167.213.127126
17229.167.213.128/2529.167.213.129 to 29.167.213.25429.167.213.255126
17329.167.214.0/2529.167.214.1 to 29.167.214.12629.167.214.127126
17429.167.214.128/2529.167.214.129 to 29.167.214.25429.167.214.255126
17529.167.215.0/2529.167.215.1 to 29.167.215.12629.167.215.127126
17629.167.215.128/2529.167.215.129 to 29.167.215.25429.167.215.255126
17729.167.216.0/2529.167.216.1 to 29.167.216.12629.167.216.127126
17829.167.216.128/2529.167.216.129 to 29.167.216.25429.167.216.255126
17929.167.217.0/2529.167.217.1 to 29.167.217.12629.167.217.127126
18029.167.217.128/2529.167.217.129 to 29.167.217.25429.167.217.255126
18129.167.218.0/2529.167.218.1 to 29.167.218.12629.167.218.127126
18229.167.218.128/2529.167.218.129 to 29.167.218.25429.167.218.255126
18329.167.219.0/2529.167.219.1 to 29.167.219.12629.167.219.127126
18429.167.219.128/2529.167.219.129 to 29.167.219.25429.167.219.255126
18529.167.220.0/2529.167.220.1 to 29.167.220.12629.167.220.127126
18629.167.220.128/2529.167.220.129 to 29.167.220.25429.167.220.255126
18729.167.221.0/2529.167.221.1 to 29.167.221.12629.167.221.127126
18829.167.221.128/2529.167.221.129 to 29.167.221.25429.167.221.255126
18929.167.222.0/2529.167.222.1 to 29.167.222.12629.167.222.127126
19029.167.222.128/2529.167.222.129 to 29.167.222.25429.167.222.255126
19129.167.223.0/2529.167.223.1 to 29.167.223.12629.167.223.127126
19229.167.223.128/2529.167.223.129 to 29.167.223.25429.167.223.255126
19329.167.224.0/2529.167.224.1 to 29.167.224.12629.167.224.127126
19429.167.224.128/2529.167.224.129 to 29.167.224.25429.167.224.255126
19529.167.225.0/2529.167.225.1 to 29.167.225.12629.167.225.127126
19629.167.225.128/2529.167.225.129 to 29.167.225.25429.167.225.255126
19729.167.226.0/2529.167.226.1 to 29.167.226.12629.167.226.127126
19829.167.226.128/2529.167.226.129 to 29.167.226.25429.167.226.255126
19929.167.227.0/2529.167.227.1 to 29.167.227.12629.167.227.127126
20029.167.227.128/2529.167.227.129 to 29.167.227.25429.167.227.255126
20129.167.228.0/2529.167.228.1 to 29.167.228.12629.167.228.127126
20229.167.228.128/2529.167.228.129 to 29.167.228.25429.167.228.255126
20329.167.229.0/2529.167.229.1 to 29.167.229.12629.167.229.127126
20429.167.229.128/2529.167.229.129 to 29.167.229.25429.167.229.255126
20529.167.230.0/2529.167.230.1 to 29.167.230.12629.167.230.127126
20629.167.230.128/2529.167.230.129 to 29.167.230.25429.167.230.255126
20729.167.231.0/2529.167.231.1 to 29.167.231.12629.167.231.127126
20829.167.231.128/2529.167.231.129 to 29.167.231.25429.167.231.255126
20929.167.232.0/2529.167.232.1 to 29.167.232.12629.167.232.127126
21029.167.232.128/2529.167.232.129 to 29.167.232.25429.167.232.255126
21129.167.233.0/2529.167.233.1 to 29.167.233.12629.167.233.127126
21229.167.233.128/2529.167.233.129 to 29.167.233.25429.167.233.255126
21329.167.234.0/2529.167.234.1 to 29.167.234.12629.167.234.127126
21429.167.234.128/2529.167.234.129 to 29.167.234.25429.167.234.255126
21529.167.235.0/2529.167.235.1 to 29.167.235.12629.167.235.127126
21629.167.235.128/2529.167.235.129 to 29.167.235.25429.167.235.255126
21729.167.236.0/2529.167.236.1 to 29.167.236.12629.167.236.127126
21829.167.236.128/2529.167.236.129 to 29.167.236.25429.167.236.255126
21929.167.237.0/2529.167.237.1 to 29.167.237.12629.167.237.127126
22029.167.237.128/2529.167.237.129 to 29.167.237.25429.167.237.255126
22129.167.238.0/2529.167.238.1 to 29.167.238.12629.167.238.127126
22229.167.238.128/2529.167.238.129 to 29.167.238.25429.167.238.255126
22329.167.239.0/2529.167.239.1 to 29.167.239.12629.167.239.127126
22429.167.239.128/2529.167.239.129 to 29.167.239.25429.167.239.255126
22529.167.240.0/2529.167.240.1 to 29.167.240.12629.167.240.127126
22629.167.240.128/2529.167.240.129 to 29.167.240.25429.167.240.255126
22729.167.241.0/2529.167.241.1 to 29.167.241.12629.167.241.127126
22829.167.241.128/2529.167.241.129 to 29.167.241.25429.167.241.255126
22929.167.242.0/2529.167.242.1 to 29.167.242.12629.167.242.127126
23029.167.242.128/2529.167.242.129 to 29.167.242.25429.167.242.255126
23129.167.243.0/2529.167.243.1 to 29.167.243.12629.167.243.127126
23229.167.243.128/2529.167.243.129 to 29.167.243.25429.167.243.255126
23329.167.244.0/2529.167.244.1 to 29.167.244.12629.167.244.127126
23429.167.244.128/2529.167.244.129 to 29.167.244.25429.167.244.255126
23529.167.245.0/2529.167.245.1 to 29.167.245.12629.167.245.127126
23629.167.245.128/2529.167.245.129 to 29.167.245.25429.167.245.255126
23729.167.246.0/2529.167.246.1 to 29.167.246.12629.167.246.127126
23829.167.246.128/2529.167.246.129 to 29.167.246.25429.167.246.255126
23929.167.247.0/2529.167.247.1 to 29.167.247.12629.167.247.127126
24029.167.247.128/2529.167.247.129 to 29.167.247.25429.167.247.255126
24129.167.248.0/2529.167.248.1 to 29.167.248.12629.167.248.127126
24229.167.248.128/2529.167.248.129 to 29.167.248.25429.167.248.255126
24329.167.249.0/2529.167.249.1 to 29.167.249.12629.167.249.127126
24429.167.249.128/2529.167.249.129 to 29.167.249.25429.167.249.255126
24529.167.250.0/2529.167.250.1 to 29.167.250.12629.167.250.127126
24629.167.250.128/2529.167.250.129 to 29.167.250.25429.167.250.255126
24729.167.251.0/2529.167.251.1 to 29.167.251.12629.167.251.127126
24829.167.251.128/2529.167.251.129 to 29.167.251.25429.167.251.255126
24929.167.252.0/2529.167.252.1 to 29.167.252.12629.167.252.127126
25029.167.252.128/2529.167.252.129 to 29.167.252.25429.167.252.255126
25129.167.253.0/2529.167.253.1 to 29.167.253.12629.167.253.127126
25229.167.253.128/2529.167.253.129 to 29.167.253.25429.167.253.255126
25329.167.254.0/2529.167.254.1 to 29.167.254.12629.167.254.127126
25429.167.254.128/2529.167.254.129 to 29.167.254.25429.167.254.255126
25529.167.255.0/2529.167.255.1 to 29.167.255.12629.167.255.127126
25629.167.255.128/2529.167.255.129 to 29.167.255.25429.167.255.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses